import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { useMessage } from '/@/hooks/web/useMessage';
import { h } from 'vue';
import { Tag } from 'ant-design-vue';

export const columns: BasicColumn[] = [
  {
    title: '工厂代码',
    dataIndex: 'FTY_CODE',
    resizable: true,
    sorter: true,
    width: 200,
  },
  {
    title: '工厂名称',
    dataIndex: 'FTY_NAME',
    resizable: true,
    sorter: true,
    width: 180,
  },
  {
    title: '状态',
    dataIndex: 'IS_ACTIVE',
    customRender: ({ record }) => {
      const status = record.IS_ACTIVE;
      const enable = status === 'Y';
      const color = enable ? 'green' : 'red';
      const text = enable ? '启用' : '停用';
      return h(Tag, { color: color }, () => text);
    },
    width: 180,
  },
  {
    title: '描述',
    dataIndex: 'REMARK',
    resizable: true,
    sorter: true,
    width: 180,
  },
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
    resizable: true,
    sorter: true,
    width: 180,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'FACTORY_NAME',
    label: '工厂名称',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'FACTORY_CODE',
    label: '工厂代码',
    component: 'Input',
    colProps: { span: 8 },
  },
];

export const formSchema: FormSchema[] = [
  {
    field: 'FTY_NAME',
    label: '工厂名称',
    required: true,
    component: 'Input',
  },
  {
    field: 'FTY_CODE',
    label: '工厂代码',
    required: true,
    component: 'Input',
  },
  {
    field: 'REMARK',
    label: '工厂描述',
    required: true,
    component: 'Input',
  },
  {
    field: 'IS_ACTIVE',
    label: '状态',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '启用',
          value: 'Y',
          key: 'Y',
        },
        {
          label: '停用',
          value: 'N',
          key: 'N',
        },
      ],
    },
  },
  {
    field: 'MES_API',
    label: 'MES API地址',
    required: true,
    component: 'Input',
  },
  {
    field: 'AGV_API',
    label: 'AGV API地址',
    required: true,
    component: 'Input',
  },
  {
    field: 'SHELF_API',
    label: '货架 API地址',
    required: true,
    component: 'Input',
  },
  {
    field: 'ID',
    label: '工厂ID',
    component: 'Input',
    show: false,
  },
];
